%define ghc_ver %(ghc --version | sed "s|.*version ||")
%define pkg_name %(echo %name | sed "s|^ghc-||")
Name:          ghc-xml
Version:       1.3.14
Release:       2mamba
Summary:       A simple XML library
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://hackage.haskell.org/package/%{pkg_name}
Source:        http://hackage.haskell.org/packages/archive/xml/%{version}/xml-%{version}.tar.gz
License:       BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: ghc-libs
BuildRequires: glibc-devel
BuildRequires: libgmp-devel
## AUTOBUILDREQ-END
BuildRequires: ghc >= 9.4.8
Requires:      ghc = %{ghc_ver}

%description
A simple XML library.

%package devel
Summary:        Haskell %{pkg_name} library development files
Provides:       %{name}-static = %{version}-%{release}
Provides:       %{name}-static%{?_isa} = %{version}-%{release}
%if %{defined ghc_version}
Requires:       ghc = %{ghc_version}
%endif
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%if %{with haddock}
%package doc
Summary:        Haskell %{pkg_name} library documentation
Requires:       ghc-filesystem

%description doc
This package provides the Haskell %{pkg_name} library documentation.
%endif

%prep
%setup -q -n xml-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

rm -f %{buildroot}%{_ghclicensedir}/%{name}/LICENSE

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f %{name}.files
%defattr(-,root,root)
%license LICENSE

%files devel -f %{name}-devel.files
%defattr(-,root,root)
#%doc CHANGELOG.markdown README.markdown

%if %{with haddock}
%files doc -f %{name}-doc.files
%defattr(-,root,root)
%license LICENSE
%endif

%changelog
* Sat Dec 02 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 1.3.14-2mamba
- rebuilt with ghc 9.4.8

* Thu Feb 04 2021 Automatic Build System <autodist@mambasoft.it> 1.3.14-1mamba
- automatic version update by autodist

* Sun Sep 08 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 1.3.13-1mamba
- package created by silvan using the webbuild interface
